CATCLOSE(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
catclose — close a message catalog descriptor

SYNOPSIS

#include <nl_types.h>

int catclose(nl_catd catd);

DESCRIPTION
The catclose() function shall close the message catalog identified by catd. If a file descriptor is used to implement the type nl_catd, that file descriptor shall be closed.

RETURN VALUE
Upon successful completion, catclose() shall return 0; otherwise, -1 shall be returned, and errno set to indicate the error.

ERRORS
The catclose() function may fail if:

EBADF
    The catalog descriptor is not valid.

EINTR
    The catclose() function was interrupted by a signal.

The following sections are informative.

EXAMPLES
None.

APPLICATION USAGE
None.

RATIONALE
None.

FUTURE DIRECTIONS
None.

SEE ALSO
catgets(), catopen()

The Base Definitions volume of POSIX.1-2017, <nl_types.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1-2017, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 7, 2018 Edition, Copyright (C) 2018 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Any typographical or formatting errors that appear in this page are most likely to have been introduced during the conversion of the source files to man page format. To report such errors, see https://www.kernel.org/doc/man-pages/reporting_bugs.html .